VERSION 5.00
Begin VB.UserControl UserControl1 
   BackColor       =   &H000000FF&
   ClientHeight    =   4785
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   7260
   ScaleHeight     =   4785
   ScaleWidth      =   7260
End
Attribute VB_Name = "UserControl1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Private Declare Function DrawEdge Lib "user32" (ByVal hDc As Long, qrc As vbRECT, ByVal edge As Long, ByVal grfFlags As Long) As Long

'DrawEdge CONSTANTS
Const BDR_INNER = &HC
Const BDR_OUTER = &H3
Const BDR_RAISED = &H5
Const BDR_RAISEDINNER = &H4
Const BDR_RAISEDOUTER = &H1
Const BDR_SUNKEN = &HA
Const BDR_SUNKENINNER = &H8
Const BDR_SUNKENOUTER = &H2
Const EDGE_BUMP = (BDR_RAISEDOUTER Or BDR_SUNKENINNER)
Const EDGE_ETCHED = (BDR_SUNKENOUTER Or BDR_RAISEDINNER)
Const EDGE_RAISED = (BDR_RAISEDOUTER Or BDR_RAISEDINNER)
Const EDGE_SUNKEN = (BDR_SUNKENOUTER Or BDR_SUNKENINNER)

Const BF_RIGHT = &H4
Const BF_SOFT = &H1000     ' Use for softer buttons.
Const BF_TOP = &H2
Const BF_FLAT = &H4000     ' For flat rather than 3-D borders.
Const BF_LEFT = &H1
Const BF_MIDDLE = &H800    ' Fill in the middle.
Const BF_MONO = &H8000     ' For monochrome borders.
Const BF_ADJUST = &H2000   ' Calculate the space left over.
Const BF_BOTTOM = &H8
Const BF_DIAGONAL = &H10
Const BF_BOTTOMLEFT = (BF_BOTTOM Or BF_LEFT)
Const BF_BOTTOMRIGHT = (BF_BOTTOM Or BF_RIGHT)
Const BF_DIAGONAL_ENDBOTTOMLEFT = (BF_DIAGONAL Or BF_BOTTOM Or BF_LEFT)
Const BF_DIAGONAL_ENDBOTTOMRIGHT = (BF_DIAGONAL Or BF_BOTTOM Or BF_RIGHT)
Const BF_DIAGONAL_ENDTOPLEFT = (BF_DIAGONAL Or BF_TOP Or BF_LEFT)
Const BF_DIAGONAL_ENDTOPRIGHT = (BF_DIAGONAL Or BF_TOP Or BF_RIGHT)
Const BF_RECT = (BF_LEFT Or BF_TOP Or BF_RIGHT Or BF_BOTTOM)
Const BF_TOPLEFT = (BF_TOP Or BF_LEFT)
Const BF_TOPRIGHT = (BF_TOP Or BF_RIGHT)

Private Type vbRECT
    Left As Long
    Top As Long
    Right As Long
    Bottom As Long
End Type


Public Property Get Handle() As Long
    Handle = UserControl.hWnd
End Property

Public Sub Refresh()
    UserControl.Refresh
End Sub


Private Sub UserControl_Initialize()
    UserControl.ScaleMode = vbPixels
End Sub

Private Sub UserControl_Paint()
    Dim r As vbRECT
    UserControl.Cls
    
    r.Left = 5
    r.Top = 5
    r.Right = UserControl.ScaleWidth - 5
    r.Bottom = UserControl.ScaleHeight - 5
    
    DrawEdge UserControl.hDc, r, EDGE_SUNKEN, BF_RECT

End Sub
